# $Id: _template.spec 765 2004-05-20 17:33:53Z dag $
# Authority: dag

### Ships with fc1 and fc2
# ExcludeDist: fc1 fc2

Summary: An HTTP and WebDAV client library
Name: neon
Version: 0.24.7
Release: 1.dag
License: LGPL
Group: Applications/Publishing
URL: http://www.webdav.org/neon/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.webdav.org/neon/neon-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: expat-devel, openssl-devel

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%package devel
Summary: Static libraries and C header files for the neon library.
Group: Development/Libraries

%description devel
The development library for the C language HTTP and WebDAV client library.

%prep
%setup

%build
%configure \
	--enable-shared \
	--with-expat \
	--with-force-ssl \
	--with-ssl
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__ln_s} -f libneon.so.24 %{buildroot}%{_libdir}/libneon.so

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%doc doc/*
%doc %{_mandir}/man?/*
%{_bindir}/*
%{_includedir}/neon/
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jul 18 2004 Dag Wieers <dag@wieers.com> - 0.24.7-1
- Initial package. (using DAR)
